# Создание динамической библиотеки из объектной библиотеки
function(myx_cmake_add_shared_library target)
  get_target_property(_target_type ${target} TYPE)
  if(NOT _target_type STREQUAL OBJECT_LIBRARY)
    message(
      FATAL_ERROR
        "MyxCMake: add_shared_library needs target of type OBJECT_LIBRARY")
    return()
  endif()

  add_library(${target}-shared SHARED $<TARGET_OBJECTS:${target}>)
  set_target_properties(
    ${target}-shared
    PROPERTIES OUTPUT_NAME ${target}
               VERSION ${PROJECT_VERSION}
               SOVERSION ${PROJECT_VERSION_MAJOR}
               LIBRARY_OUTPUT_DIRECTORY
               ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
  install(TARGETS ${target}-static LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

endfunction()
